<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div rendered="#{dispatcher.pageCanBeBuilt}"><h1>
                #{messages['gazelle.ordermanager.OrderWorklistCreation']}</h1>
                <h:outputText
                        value="#{messages['gazelle.ordermanager.BelowAreTheInformationsSentBy']} #{dispatcher.sender}"
                        rendered="#{dispatcher.sender != null}"
                        styleClass="help-block"/>
                <gri:panel rendered="#{dispatcher.selectedPatient != null and dispatcher.selectedEncounter != null}">
                    <f:facet name="header">#{messages['gazelle.ordermanager.ReceivedPatientAndEncounter']}</f:facet>
                    <div class="gzl-alert gzl-alert-blue">
                        <h:outputText
                                value="#{messages['gazelle.ordermanager.NBIfNoVisitNumberWasProvidedInTheParametricURLTh']}"/>
                    </div>
                    <ui:include src="/common/displayPatientEncounter.xhtml">
                        <ui:param name="patient" value="#{dispatcher.selectedPatient}"/>
                        <ui:param name="encounter" value="#{dispatcher.selectedEncounter}"/>
                    </ui:include>
                    <f:facet name="footer">
                        <a4j:commandButton value="#{messages['gazelle.ordermanager.OnlySaveThisPatient']}"
                                           action="/browsing/allPatients.seam" styleClass="gzl-btn-blue"/>
                        <a4j:commandButton value="#{messages['gazelle.ordermanager.UseThisPatientForObjectCreation']}"
                                           actionListener="#{dispatcher.setDisplayOptions(true)}" render="optionsDiv"
                                           styleClass="gzl-btn-blue"/>
                    </f:facet>
                </gri:panel>
                <s:div id="optionsDiv">
                    <gri:panel rendered="#{dispatcher.displayOptions}">
                        <f:facet name="header">#{messages['gazelle.ordermanager.Options']}</f:facet>
                        <s:div id="objectTypeSelection" styleClass="form-horizontal">
                            <!-- include in <div class="form-horizontal"></div>-->
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="dom"/>
                                <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                                <h:selectOneMenu value="#{dispatcher.selectedDomain}" styleClass="form-control"
                                                 id="dom">
                                    <s:selectItems value="#{domain.listAllDomains()}" var="domain" label="#{domain.name}"/>
                                    <a4j:ajax event="change" render="optionsDiv"/>
                                </h:selectOneMenu>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="obj"/>
                                <ui:define name="label">#{messages['gazelle.ordermanager.WhatDoYouWantToDo']} ?
                                </ui:define>
                                <h:selectOneRadio value="#{dispatcher.objectType}" id="obj" layout="pageDirection">
                                    <f:selectItems value="#{dispatcher.getObjectTypes()}"/>
                                    <a4j:ajax event="change" render="optionsDiv"/>
                                </h:selectOneRadio>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                        rendered="#{dispatcher.objectType != null and dispatcher.objectType.equals('O')}">
                                <ui:param name="id" value="act"/>
                                <ui:define name="label">#{messages['gazelle.ordermanager.SendingActor']}</ui:define>
                                <h:selectOneMenu value="#{dispatcher.selectedSendingActor}" id="act"
                                                 styleClass="form-control">
                                    <f:selectItem itemValue="OP"
                                                  itemLabel="#{messages['gazelle.ordermanager.OrderPlacer']}"/>
                                    <f:selectItem itemValue="OF"
                                                  itemLabel="#{messages['gazelle.ordermanager.OrderFiller']}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </s:div>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['gazelle.ordermanager.Create']}"
                                               rendered="#{dispatcher.objectType != null}"
                                               action="#{dispatcher.goToPage()}"
                                               styleClass="gzl-btn-green"/>
                        </f:facet>
                    </gri:panel>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
